org.eclipse.jface.text.templates

## Class GlobalTemplateVariables.LineSelection

- java.lang.Object
- - org.eclipse.jface.text.templates.TemplateVariableResolver
  - - org.eclipse.jface.text.templates.SimpleTemplateVariableResolver
    - - org.eclipse.jface.text.templates.GlobalTemplateVariables.Selection
      - - org.eclipse.jface.text.templates.GlobalTemplateVariables.LineSelection

Enclosing class:
  GlobalTemplateVariables

    public static class GlobalTemplateVariables.LineSelection
    extends GlobalTemplateVariables.Selection

The line selection variable determines templates that work on selected lines.

### Field Summary

Fields
`static String` `NAME` Name of the line selection variable, value= "line_selection"

### Constructor Summary

Constructors
Constructor and Description
`LineSelection()` Creates a new line selection variable

### Method Summary

### Methods inherited from class org.eclipse.jface.text.templates.GlobalTemplateVariables.Selection

`resolve, resolve`

### Methods inherited from class org.eclipse.jface.text.templates.SimpleTemplateVariableResolver

`isUnambiguous, setEvaluationString`

### Methods inherited from class org.eclipse.jface.text.templates.TemplateVariableResolver

`getDescription, getType, resolveAll, setDescription, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

Name of the line selection variable, value= "line_selection"

See Also:
  Constant Field Values

### Constructor Detail

#### LineSelection

    public LineSelection()

Creates a new line selection variable